why free quantum codes are so hard to settup?

From NWChem

Viewed 2092 times, With a total of 2 Posts
Jump to: navigation, search

Just Got Here
Threads 1
Posts 2
Nwchem is propably a great code, but the main drawback is how to settup it!

I have tried on fedora 19 x86_64 and on windows 7, but this is just impossible to settup

On fedora, the make file cannot compile for some reasons, although I strickly followed all the instructions. On windows, I tried cygwin, and it is also just impossible. And with MinGW/MSYS , this is just IMPOSSIBLE as well for the simple reason that the installer is UNABLE to download any file at ALL! This is simply ridiculous.

It is really great pity that any scientist would spend about a month to settup a quantum calculation freeware, and about one week to learn how to use it!

You have really to work hard to make nwchem easy to settup. I dont have either red hat , or suse: only fedora. But I just cannot compile although all packages and libraries (mpich, python, gcc, etc) are on my workstation. This is as frustrating as annoying! I had the same problem with gamess: just impossible to settup on windows, and possible on fedora after one month of trying hard!
Edited On 1:43:47 PM PST - Fri, Dec 5th 2014 by Pat

Just Got Here
Threads 1
Posts 2
cannot settup on fedora 19
I tried on fedora 19 and when i use the command make , this is the error message:

test \! -f 64_to_32 -o \! -f 32_to_64 || rm -f 64_to_32 32_to_64
test -d /home/patrice/nwchem-6.5/lib/LINUX64 || mkdir -p /home/patrice/nwchem-6.5/lib/LINUX64
Making libraries in tools
test -d /home/patrice/nwchem-6.5/bin/LINUX64 || mkdir -p /home/patrice/nwchem-6.5/bin/LINUX64
./util/util_nwchem_version.bash
make: execvp: ./util/util_nwchem_version.bash : Permission non accordée
make: *** [directories] Erreur 127
make: *** Attente des tâches non terminées....
make[1]: AVERTISSEMENT : -jN forcé dans un submake : désactivation du mode serveur de tâches.

      • Configuring Parallel Tools ****

/bin/sh: ../util/util_ga_version.bash: Permission non accordée
make[1]: *** [build/config.status] Erreur 126
make: *** [libraries] Erreur 1

what can I do??? please help!  ;

Forum Vet
Threads 8
Posts 1383
Dear Patrice
As an alternative, you might want to try to install the RPM binaries of NWChem. For example:
https://archive.fedoraproject.org/pub/fedora/linux/updates/20/x86_64/nwchem-6.5.26243-13.f...
https://archive.fedoraproject.org/pub/fedora/linux/updates/20/x86_64/nwchem-common-6.5.262...
https://archive.fedoraproject.org/pub/fedora/linux/updates/20/x86_64/nwchem-mpich-6.5.2624...

More details at
http://www.nwchem-sw.org/index.php/Download#NWChem_availability_in_Linux_distributions
Edited On 10:22:48 AM PST - Mon, Dec 8th 2014 by Edoapra


Forum >> NWChem's corner >> Feedback



Who's here now Members 0 Guests 0 Bots/Crawler 1


AWC's: 2.5.10 MediaWiki - Stand Alone Forum Extension
Forum theme style by: AWC